import axios from "../../utils/request";

export function getInvMAOrderList(params) {
  return axios({
    url: "/inv/MA/order/filterList",
    method: "get",
    params: params
  });
}

export function addInvMAOrder(data) {
  return axios({
    url: "/inv/MA/order/addOrder",
    method: "post",
    data: data
  });
}

export function updateInvMAOrder(data) {
  return axios({
    url: "/inv/MA/order/update",
    method: "post",
    data: data
  });
}

export function submitAudit(data) {
  return axios({
    url: "/inv/MA/order/submitAudit",
    method: "post",
    data: data
  });
}

export function updateStatus(data) {
  return axios({
    url: "/inv/MA/order/updateStatus",
    method: "post",
    data: data
  });
}

export function deleteInvMAOrder(data) {
  return axios({
    url: "/inv/MA/order/delete",
    method: "post",
    data: data
  });
}

export function getInvMAOrderDetailList(params) {
  return axios({
    url: "/inv/MA/order/detail/filterList",
    method: "get",
    params: params
  });
}

export function addInvMAOrderDetail(data) {
  return axios({
    url: "/inv/MA/order/detail/addOrderDetail",
    method: "post",
    data: data
  });
}

export function batchAddDetail(data) {
  return axios({
    url: "/inv/MA/order/detail/batchAddDetail",
    method: "post",
    data: data
  });
}

export function deleteInvMAOrderDetail(data) {
  return axios({
    url: "/inv/MA/order/detail/delete",
    method: "post",
    data: data
  });
}

export function updateInvMAOrderDetail(data) {
  return axios({
    url: "/inv/MA/order/detail/update",
    method: "post",
    data: data
  });
}
